Subject: Re: [bug#51838] [PATCH v2 18/26] guix: node-build-system: Add optional #:libuv? argument.

From: Philip McGrath <[email-masked]>
Date: Sat, 20 Nov 2021 12:16:37 -0500

On 11/20/21 02:46, Liliana Marie Prikler wrote:
> Am Freitag, den 19.11.2021, 23:33 -0500 schrieb Philip McGrath:
>> * guix/build-system/node.scm (lower): Add an optional #:libuv?
>> argument to tell the build system to add the version of libuv
>> used as an input to the #:node package as an additional implicit
>> input, so that packages needing libuv always get the correct version.
> Would it change something if we always had libuv as implicit input?  I
> don't think it'd do much for closure size, but it might impact implicit
> package search as proposed by my solution to the #:absent-dependencies
> thing.

 From a Guix perspective, I don't think it would make much difference, 
since libuv is always needed by node itself. Maybe it would require more 
grafting than would be needed otherwise?

But I think the recommendation for authors of node add-ons is to avoid 
libuv unless it's really needed, because it has fewer stability 
guarantees that other Node.js APIs.